Stock

News Confidence

Retrieve news confidence stats for the stock with the given ticker.

Parameters
ticker string Required

The ticker symbol of the stock

GET /v1/stocks/:ticker/news-confidence
Response
{
  "news_1d": {
    "total": 13,
    "positive": 4,
    "positive_percent": 30.77,
    "negative": 4,
    "negative_percent": 30.77,
    "neutral": 5,
    "neutral_percent": 38.46
  },
  "news_7d": {
    "total": 72,
    "positive": 46,
    "positive_percent": 63.89,
    "negative": 9,
    "negative_percent": 12.5,
    "neutral": 17,
    "neutral_percent": 23.61
  },
  "news_14d": {
    "total": 138,
    "positive": 94,
    "positive_percent": 68.12,
    "negative": 15,
    "negative_percent": 10.87,
    "neutral": 29,
    "neutral_percent": 21.01
  },
  "news_1m": {
    "total": 266,
    "positive": 146,
    "positive_percent": 54.89,
    "negative": 54,
    "negative_percent": 20.3,
    "neutral": 66,
    "neutral_percent": 24.81
  },
  "news_3m": {
    "total": 1013,
    "positive": 488,
    "positive_percent": 48.17,
    "negative": 242,
    "negative_percent": 23.89,
    "neutral": 283,
    "neutral_percent": 27.94
  },
  "news_6m": {
    "total": 2459,
    "positive": 1245,
    "positive_percent": 50.63,
    "negative": 578,
    "negative_percent": 23.51,
    "neutral": 636,
    "neutral_percent": 25.86
  }
}